# Version SVN: $Id: defaults.yml 44 2012-03-05 19:48:34Z sven.poeche $
defaults:
  newsletter:
    name:                             'Newsletters'
    description:                      ''
    weight:                           -9398
    params:
      newsletter_signup:
        type:                         boolean
        value:                        true
        name:                         'Automatic newsletter subscription'
        description:                  'If set to true, then the newsletters will automatically be subscribed at registration of a new user.'
        editable:                     true
        system:                       false
        nullable:                     false
      newsletter_sender_email:
        type:                         string
        value:                        newsletter@<?php print isset($_SERVER['HTTP_HOST']) ? $_SERVER['HTTP_HOST'] : shell_exec('hostname'); ?>    # Workaround for new line
        name:                         'Default sender e-mail address'
        description:                  'This e-mail address is used by default for new newsletters.'
        editable:                     true
        system:                       false
        nullable:                     false
      newsletter_sender_name:
        type:                         string
        value:                        'Newsletter'
        name:                         'Default sender name'
        description:                  'This name is used by default for new newsletters.'
        editable:                     true
        system:                       false
        nullable:                     false
      newsletter_reply_email:
        type:                         string
        value:                        no-reply@<?php print isset($_SERVER['HTTP_HOST']) ? $_SERVER['HTTP_HOST'] : shell_exec('hostname'); ?>    # Workaround for new line
        name:                         'Default reply e-mail address'
        description:                  'This e-mail address is used by default for new newsletters as reply address.'
        editable:                     true
        system:                       false
        nullable:                     false
      newsletter_reply_name:
        type:                         string
        value:                        'no-reply'
        name:                         'Default reply name'
        description:                  'This name is used by default for new newsletters as reply name.'
        editable:                     true
        system:                       false
        nullable:                     false
      newsletter_issues_perpage:
        type:                         integer
        value:                        25
        name:                         'Numbers of newsletter issues per page'
        description:                  'This sets the maximal number of newsletter issues per page.'
        editable:                     true
        system:                       false
        nullable:                     false
      newsletter_max_execution_steps:
        type:                         integer
        value:                        0
        name:                         'Numbers of e-mails per execution'
        description:                  'This sets the maximum number of e-mails sent per execution of the sending task. (default: 0 = unlimited)'
        editable:                     true
        system:                       false
        nullable:                     false

